# Metrics

The cron module exposes several metrics for monitoring and observability:

#### Execution Metrics

**cron\_schedules\_executed\_total**

* **Type**: Counter
* **Description**: Total number of cron schedules executed
* **Labels**:
  * `execution_stage` (begin\_blocker, end\_blocker)
  * `status` (success, failure)

**cron\_messages\_executed\_total**

* **Type**: Counter
* **Description**: Total number of cron messages executed
* **Labels**:
  * `execution_stage` (begin\_blocker, end\_blocker)
  * `status` (success, failure)
  * `contract_address`

**cron\_execution\_duration\_seconds**

* **Type**: Histogram
* **Description**: Duration of cron schedule execution in seconds
* **Labels**:
  * `execution_stage` (begin\_blocker, end\_blocker)
  * `schedule_name`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scrt.network/secret-network-documentation/cron-module/metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
